CREATE TABLE cn_srp_asgn_proposals (
    PROPOSAL_ID               NUMBER(18, 0) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    PARTICIPANT_OBJECT_ID     NUMBER(18, 0) ,
    ERROR_REASON_CODE         VARCHAR2(320) ,
    ERROR_REASON_TOKEN        VARCHAR2(640) ,
    RECORD_TYPE               VARCHAR2(80)  ,
    PARTICIPANT_ID            NUMBER(18, 0) ,
    PARTICIPANT_DETAIL_ID     NUMBER(18, 0) ,
    RULE_ID                   NUMBER(18, 0) ,
    ORG_ID                    NUMBER(18, 0) ,
    ASSIGNED_OBJECT_ID        NUMBER(18, 0) ,
    ASSIGNED_OBJECT_TYPE      VARCHAR2(80)  ,
    START_DATE_ACTIVE         DATE          ,
    END_DATE_ACTIVE           DATE          ,
    PROPOSAL_STATUS           VARCHAR2(80)  ,
    PROCESS_STATUS            VARCHAR2(80)  ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    MANUAL_CHANGE_FLAG        VARCHAR2(80)  ,
    PROPOSAL_TYPE             VARCHAR2(80)  ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    PROPOSAL_ID               NUMBER(18, 0) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    PARTICIPANT_OBJECT_ID     NUMBER(18, 0) ,
    ERROR_REASON_CODE         VARCHAR2(320) ,
    ERROR_REASON_TOKEN        VARCHAR2(640) ,
    RECORD_TYPE               VARCHAR2(80)  ,
    PARTICIPANT_ID            NUMBER(18, 0) ,
    PARTICIPANT_DETAIL_ID     NUMBER(18, 0) ,
    RULE_ID                   NUMBER(18, 0) ,
    ORG_ID                    NUMBER(18, 0) ,
    ASSIGNED_OBJECT_ID        NUMBER(18, 0) ,
    ASSIGNED_OBJECT_TYPE      VARCHAR2(80)  ,
    START_DATE_ACTIVE         DATE          ,
    END_DATE_ACTIVE           DATE          ,
    PROPOSAL_STATUS           VARCHAR2(80)  ,
    PROCESS_STATUS            VARCHAR2(80)  ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    MANUAL_CHANGE_FLAG        VARCHAR2(80)  ,
    PROPOSAL_TYPE             VARCHAR2(80)  ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_cn_srp_asgn_proposals PRIMARY KEY (PROPOSAL_ID, PROPOSAL_ID)
);
